/* USB descriptor constants */
#define USB_DESCR_DEVICE         1
#define USB_DESCR_CONFIG         2
#define USB_DESCR_STRING         3
#define USB_DESCR_INTERFACE      4
#define USB_DESCR_ENDPOINT       5
#define USB_DESCR_CS_DEVICE      0x21
#define USB_DESCR_CS_CONFIG      0x22
#define USB_DESCR_CS_STRING      0x23
#define USB_DESCR_CS_INTERFACE   0x24
#define USB_DESCR_CS_ENDPOINT    0x25

#if 0
#define USB_DESCR_HID            0x21
#define USB_DESCR_HID_REPORT     0x22
#define USB_DESCR_HID_PHYS       0x23
#endif

#define USB_ATTR_BUSPOWER        0x80
#define USB_ATTR_SELFPOWER       0x40
#define USB_ATTR_REMOTEWAKE      0x20

/* USB Device Class */
#define USB_CLASS_PER_INTERFACE		0
#define USB_CLASS_AUDIO			1
#define USB_CLASS_COMM			2
#define USB_CLASS_HID			3
#define USB_CLASS_MASS_STORAGE		8
#define USB_CLASS_CDC_DATA		9
#define USB_CLASS_APP_SPEC		254
#define USB_CLASS_VENDOR_SPEC		255

extern PROGMEM char usbDescrDevice[];
extern PROGMEM char usbDescrConfig[];
extern PROGMEM char  usbDescrString0[];
extern PROGMEM int16_t  usbDescrString1[];
extern PROGMEM int16_t  usbDescrString2[];
extern PROGMEM int16_t  usbDescrString3[];

